Create a new SVM peer relationship
Creates a new SVM peer relationship to establish communication between storage virtual machines in ONTAP. This is useful for configuring data replication or disaster recovery setups between peers.
HTTP method and endpoint
POST /svm/peers
Introduced in
ONTAP 9.6
Important notes
-
The create request accepts peer SVM name as input instead of peer SVM UUID as the local cluster cannot validate peer SVM based on UUID.
-
The input parameter
namerefers to the local name of the peer SVM. Thepeer cluster nameparameter is optional for creating intracluster SVM peer relationships.
Required properties
-
svm.nameorsvm.uuid- SVM name or SVM UUID -
peer.svm.nameorpeer.svm.uuid- Peer SVM name or Peer SVM UUID -
peer.cluster.nameorpeer.cluster.uuid- Peer cluster name or peer cluster UUID -
applications- Peering applications
Related ONTAP commands
-
vserver peer create
Example
Creates a new SVM peer relationship.
POST "/api/svm/peers" '{"svm":{"name":"vs1"}, "peer.cluster.name":"cluster2", "peer.svm.name":"VS1", "applications":["snapmirror"]}'
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
return_timeout |
integer |
query |
False |
The number of seconds to allow the call to execute before returning. When doing a POST, PATCH, or DELETE operation on a single record, the default is 0 seconds. This means that if an asynchronous operation is started, the server immediately returns HTTP code 202 (Accepted) along with a link to the job. If a non-zero value is specified for POST, PATCH, or DELETE operations, ONTAP waits that length of time to see if the job completes so it can return something other than 202.
|
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
Request Body
| Name | Type | Description |
|---|---|---|
applications |
array[string] |
A list of applications for an SVM peer relation. |
force |
boolean |
Use this to suspend, resume or delete the SVM peer relationship even if the remote cluster is not accessible due to, for example, network connectivity issues. |
name |
string |
A peer SVM alias name to avoid a name conflict on the local cluster. |
peer |
Details for a peer SVM object. |
|
svm |
Local SVM details |
|
uuid |
string |
SVM peer relation UUID |
Example request
{
"applications": [
"snapmirror",
"lun_copy"
],
"name": "string",
"peer": {
"cluster": {
"name": "cluster2",
"uuid": "ebe27c49-1adf-4496-8335-ab862aebebf2"
},
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
}
},
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
},
"uuid": "string"
}
Response
Status: 202, Accepted
| Name | Type | Description |
|---|---|---|
applications |
array[string] |
A list of applications for an SVM peer relation. |
force |
boolean |
Use this to suspend, resume or delete the SVM peer relationship even if the remote cluster is not accessible due to, for example, network connectivity issues. |
name |
string |
A peer SVM alias name to avoid a name conflict on the local cluster. |
peer |
Details for a peer SVM object. |
|
svm |
Local SVM details |
|
uuid |
string |
SVM peer relation UUID |
Example response
{
"applications": [
"snapmirror",
"lun_copy"
],
"name": "string",
"peer": {
"cluster": {
"name": "cluster2",
"uuid": "ebe27c49-1adf-4496-8335-ab862aebebf2"
},
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
}
},
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
},
"uuid": "string"
}
Headers
| Name | Description | Type |
|---|---|---|
Location |
Useful for tracking the resource location |
string |
Error
Status: Default
ONTAP Error Response Codes
| Error codes | Description |
|---|---|
13434889 |
Internal error. Wait and retry. |
26345575 |
The specified peer cluster name and peer cluster UUID do not match. |
26345579 |
The specified field is invalid. |
26345580 |
SVM name or SVM UUID must be provided. |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
cluster
| Name | Type | Description |
|---|---|---|
_links |
||
name |
string |
|
uuid |
string |
svm
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. |
uuid |
string |
The unique identifier of the SVM. |
peer
Details for a peer SVM object.
| Name | Type | Description |
|---|---|---|
cluster |
||
svm |
svm
Local SVM details
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. |
uuid |
string |
The unique identifier of the SVM. |
svm_peer
An SVM peer relation object.
| Name | Type | Description |
|---|---|---|
applications |
array[string] |
A list of applications for an SVM peer relation. |
force |
boolean |
Use this to suspend, resume or delete the SVM peer relationship even if the remote cluster is not accessible due to, for example, network connectivity issues. |
name |
string |
A peer SVM alias name to avoid a name conflict on the local cluster. |
peer |
Details for a peer SVM object. |
|
svm |
Local SVM details |
|
uuid |
string |
SVM peer relation UUID |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |